Změny ve verzích Heroes Studia:

Heroes Studio build 1.17 (18.09.2018)
	+ zasílání kostek s historií přes gameserver
	+ tisk postavy obohacen o historii a poznámky
	+ možnost zvětšování fontu v dlouhých textech
	+ po několika letech aktualizována nápověda
	+ bugfix: v příběhu nové texty při změně kusů
	+ bugfix: pozicování hlavního okna na Win 10

Heroes Studio build 1.16 (05.07.2018)
	+ interaktivní změna životů/many/únavy postav
	+ nezavřené hody kostkou se načtou po startu
	+ bugfix: neztrácí se dlouhé texty/historie
	+ bugfix: zaokrouhlování peněz u nové postavy
	+ bugfix: neznámá cena XML předmětů nestvůry

Heroes Studio build 1.15 (05.05.2017)
	+ normální zbraň může být neobvyklá/stříbrná
	+ v pomůckách hody kostkou nově i s historií
	+ zlikvidování starých intervalových kostek
	+ překreslení barev na formulářích při změně
	+ bugfix: změna přesvědčení z hlavního okna

Heroes Studio build 1.14 (26.01.2017)
	+ obnovení nezavřených uložených postav/atd.
	+ obarvování kouzelného/utajovaného/kradeného
	+ nové vkládání a označování textu přes API
	* bugfix: úprava nového válečníka v příběhu 
	* bugfix: tisk postavy s delším názvem zbroje

Heroes Studio build 1.13 (09.10.2016)
	+ zasílání poznámek/počítadel přes gameserver
	+ druhá varianta tisku mapy na celou šířku A4
	+ inverze symbolů mapy v libovolném výběru
	+ do některých textboxů lze zadat jen čísla
	* bugfix: únava v menu u nevyplněné postavy

Heroes Studio build 1.12 (31.08.2016)
	+ funkční provázanost interaktivních přehledů
	+ PJ může evidovat únavu příběhových postav
	+ Ctrl+Mezerník pro doplnění nicku v chatu
	+ přidány drobnosti u kontaktů/NPC v příběhu
	* bugfix: opraveno šeptání pro pána jeskyně
	* bugfix: vlastní barva zdí hned po startu

Heroes Studio build 1.11 (23.07.2016)
	+ načtení nezavřených pomůcek hned po startu
	+ mini info o mezi vyřazení při změně životů
	+ přípravy na vzájemný online přenos souborů
	+ lepší GUI, zvětšení formů postavy a příběhu
	+ úprava a doplnění některých XML schopností

Heroes Studio build 1.10 (30.05.2016)
	+ pomůcky - přehledy, poznámky a počítadla
	+ možnost otevření nové záložky při šeptání
	+ Alt+šipky pro rychlý pohyb mezi záložkami
	+ herní server umí odpojit spadlého klienta
	+ Ctrl+A pro označení dlouhých textů i chatu
	* bugfix: správná charisma příběhových postav
	* bugfix: výprodej předmětů s neznámou cenou

Heroes Studio build 1.09 (29.02.2016)
	+ export mapy do PNG obrázku (~20 kB soubory)
	+ zavírání záložek postav klikem kolečka myši
	+ v přehledu zkušeností je zobrazen offset
	+ aplikaci lze spustit i bez XML databází
	* bugfix: nepřístupné menu po prvním uložení
	* bugfix: chování velkých textů při překliku

Heroes Studio build 1.08 (03.02.2016)
	+ 17 nových mapových symbolů a 3 nové znaky
	+ otáčení o 90° po směru ve čtvercovém výběru
	+ designově přeskládaný nástrojový panel mapy
	+ záznam v herním chatu o poslaných souborech
	+ kompatibilní změny v ukládání map do *.HMP
	* bugfix: potlačení updatu hned po instalaci

Heroes Studio build 1.07 (15.01.2016)
	+ delší názvy a nulová hmotnost předmětů/atd.
	+ proklik na výpočet ÚČ/OČ v tabulce zbraní
	+ tisk/export kontaktů u hráčských postav
	+ změněno chování celého exportního menu
	+ kláv. F9 rezervována pro hod na iniciativu
	+ upraveno nastavení a vykuchána modální okna

Heroes Studio build 1.06 (19.09.2015)
	+ reálnější váha při generování nové postavy
	+ menší změny v seznamu připojených hráčů
	+ konzistence odřádkování všech herních zpráv
	* bugfix: maximální životy při specializaci

Heroes Studio build 1.05 (19.07.2015)
	+ testovací transfer souborů od hráče k PJ
	+ integrace obou progressbarů do statusbaru
	+ pořešený sandbox složky Program Files (x86)
	+ hand kurzor na tlačítkách přes Win32 API
	+ úprava manifestu pro finální Windows 10
	+ vylepšeno formátování kostek v herním chatu

Heroes Studio build 1.04 (29.05.2015)
	+ výpis IP všech aktivních síťových adaptérů
	+ pamatování IP adresy posledního připojení
	+ logování historie všech zpráv v RTF formátu
	+ doplněna nápověda a vysvětleno připojování
	* bugfix: umístění předmětů v prvních slotech
	* bugfix: obarvování zpráv od PJ po odpojení

Heroes Studio build 1.03 (07.05.2015)
	+ experimentální open beta herního serveru
	+ přepracované nastavení + položky k LAN hře
	+ hody kostkou se kopírují do herních zpráv
	+ ukazatele životů/magů/atd. mají barvičky
	+ funkční systémový beep při příchozí zprávě
	+ popis nestvůry lze zvětšit do celé záložky
	* bugfix: vypadávání předmětů z dobr. balíčku

Heroes Studio build 1.02 (03.04.2015)
	+ refaktoring kódu nejstarší záložky postavy
	+ stupně únavy redukují už i pohyb a naložení
	+ rozšířen config o nastavení herního serveru
	* bugfix: rozšířené texty u zbraní na blízko
	* bugfix: únavové +/- tlačítko minule zlobilo
	* bugfix: detekce rodových zbraní pro EN/SK

Heroes Studio build 1.01 (28.01.2015)
	+ přípravy pro hru po LAN síti, nutný Winsock
	+ experimentální subclassing všech formulářů
	+ dynamické okno herního serveru se sliderem
	+ lehce přeskládané hlavní menu programu
	+ kompatibilní s Windows 10 Technical Preview

Heroes Studio build 1.0 (26.06.2014)
	+ finální formulář pro nestvůry vč. ukládání
	+ tlačítko náhodného výběru XML předmětů/atd.
	+ výprodej všech předmětů za smluvní cenu
	+ barevná indikace přestupu příběh. postavy
	+ 2 nové objekty do mapy + vylepšení barev
	+ doplnění dalších XML schopností a tabulek
	+ úpravy dialogů, textů a drobností (stable)
	* bugfix: pořadí dostřelů u zbraní na dálku

Heroes Studio build 0.9.99 (21.02.2013)
	+ záložkový redesign editačního formu postav
	+ k postavám si může hráč přidat popis autora
	+ přehled zkušeností v příběhu ukazuje součet
	+ do XML lektvarů přidány všechny protijedy
	+ fulltext hledání v popisu položek DB knih
	+ vylepšena podpora virtuálních PDF tiskáren
	+ přepsány procedury zobrazení vnořených oken
	* bugfix: přepočet ceny předmětů při více ks
	* bugfix: textový popis při editaci kontaktů

Heroes Studio build 0.9.98 (12.12.2012)
	+ nový modul dovedností pro hráčskou postavu
	+ doplnění a úprava dalších XML schopností
	+ vylepšená práce s logy soubojů v nastavení
	* bugfix: zaokrouhlení vlastní ceny předmětu

Heroes Studio build 0.9.97 (03.11.2012)
	+ ikonky v hl. menu pro Windows Vista a 7
	+ předělán formulář kontaktů a přidána rasa
	+ nové stavové informace u kontaktů a kouzel
	+ příběhové postavy mají zkušenostní offset
	* bugfix: otáčení a zrcadlení symbolů mapy
	* bugfix: zadávání názvu nového předmětu

Heroes Studio build 0.9.96 (18.08.2012)
	+ náhodné generování i zákl. atributů postavy
	+ možnost přejmenovat záložky vnoř. formulářů
	+ do XML lektvarů přidány všechny alch. jedy
	+ int. přejmenování Ruksaku, Truhly a Opasku
	* bugfix: chování dvou položek v nastavení
	* bugfix: lektvar není artefaktový a stříbrný

Heroes Studio build 0.9.95 (23.05.2012)
	+ podstatně vylepšen tisk z databázových knih
	+ cena vlastních předmětů může být nulová
	+ update některých XML + nápovědy (stable)
	* bugfix: změna množství předmětů v příběhu
	* bugfix: funkční uzamčení záložek příběhu

Heroes Studio build 0.9.94 (06.12.2011)
	+ PJ může přidělit zkušenosti z hlavního menu
	+ Segoe UI pro Win XP umístěn do instalátoru
	+ update formuláře nestvůr a zranitelností
	+ úpravy XML schopností pyrofora a čaroděje
	* bugfix: vybírání nestvůr do PJ příběhu

Heroes Studio build 0.9.93 (23.08.2011)
	+ dodělané menu na změnu množství u zbraní
	+ u postavy se zobrazují mn/cl místo kg/cm
	+ designový návrh formuláře pro nestvůry
	+ další doplnění schopností povolání do XML
	* bugfix: definice a úprava postav v příběhu
	* bugfix: texty vlastních zbraní na dálku

Heroes Studio build 0.9.92 (21.04.2011)
	+ UpDowny i na jiných místech v projektu
	+ lehká úprava GUI a přidání Busy kurzoru
	+ klávesové zkratky pro seznamové toolbary
	+ do XML s povoláním doplněno několik tabulek
	+ větší aktualizace nápovědy a další úpravy
	* bugfix: možný problém s Win-1250 kódováním

Heroes Studio build 0.9.91 (18.03.2011)
	+ aplikace podporuje počet kopií při tisku
	+ pamatování umístění při úpravě všech věcí
	+ doplněn zkrác. popis v menu zbroje a štítu
	+ změna názvu příběhových Kontaktů na Osoby
	+ dvojklik v seznamu zkuš. otvírá editaci
	* bugfix: přepočet váhy mincí při level upu

Heroes Studio build 0.9.90 (10.03.2011)
	+ konečně zbraně/zbroje v XML + nové dialogy
	+ odstraněn starý formulář vlastní zbroje
	+ ukládání novinek do souborů *.HER a *.HQT
	+ do XML doplněn také chodec PPP, druid PPE
	+ bugfix: specifická ztráta peněz při prodeji
	+ bugfix: popisky na záložkách s nestvůrami

Heroes Studio build 0.9.89 (13.02.2011)
	+ místo číselných ComboBoxů objekty UpDown
	+ test nových záložek příběhu (neukládá se)
	+ v XML válečník a kouzelník PPE, chodec PPE
	+ updatován instalátor, dva režimy instalace
	* bugfix: TXT export osobních deníků postav
	* bugfix: dotěrné potvrzování změn v bestiáři
	* bugfix: výběr itemů do dobrodruhova balíčku

Heroes Studio build 0.9.88 (01.01.2011)
	+ evidence stříbrných a ukradených předmětů
	+ dotaz na přerušení extra dlouhého souboje
	+ ve výpisu výzbroje je i OČ proti střelám
	+ nově specifická kouzla mága/čaroděje v XML
	+ stable verze - upravena nápověda a licence
	* bugfix: bojeschopnost a štít v soubojích
	* bugfix: šablona při úpravě vlastního itemu

Heroes Studio build 0.9.87 (17.12.2010)
	+ více kusů vlastních zbraní v jednom slotu
	+ umístění obou typů zbraní přes submenu
	+ související kompatibilní změny v *.HER
	+ rozpoznání pravidlové postavy v editoru
	+ upravena předmětová menu v modulech RTOZ
	+ do XML doplněn mág PPE a zloděj PPP
	* bugfix: umístění itemů na koních/v truhle

Heroes Studio build 0.9.86 (02.12.2010)
	+ lze změnit cenu při nákupu všech XML věcí
	+ doplněna zbraňová menu podle projektilů
	+ nová XML kniha se seznamem dovedností PPP
	+ okamžité ověření prodejní ceny v MsgBoxu
	+ deaktivace inverze znaků při tažení rámcem
	+ v configu nová barva a dotaz na změnu kusů
	* bugfix: ukládání některých hodnot nastavení

Heroes Studio build 0.9.85 (23.11.2010)
	+ editace přidělených PJ zkušeností postavám
	+ redesign záložky Výzbroj pro budoucí účely
	+ evidence umístění projektilů a úprava menu
	+ dialog Vlastnosti souboru i pro příběhy
	+ podpora bezešvého virtualizačního XP Mode
	* bugfix: váha projektilů ve 3. slotu

Heroes Studio build 0.9.84 (10.10.2010)
	+ PJ může u postav manipulovat s životy/magy
	+ počítání součtu zkušeností za dobrodružství
	+ tři nové vztahy NPC kontaktů s postavou
	+ lze odstranit zkušenosti konkrétní postavy
	+ nějaké záznamy v XML pro chodce PPP
	* bugfix: přejmenovávání příběhových postav
	* bugfix: únava při smrti hráčské postavy

Heroes Studio build 0.9.83 (09.09.2010)
	+ funkční přehled přidělených PJ zkušeností
	+ save/load expů do/ze souborů s příběhem
	+ do Oblíbených lze přidávat příběhy *.HQT
	+ při prvním spuštění se zobrazí nastavení
	+ podpora drag&drop HQT na hlavní formulář

Heroes Studio build 0.9.82 (28.08.2010)
	+ Win 7 otevírání souborů přes seznam odkazů
	+ ukládání/načítání dobrodružství do/z *.HQT
	+ nově v XML bojovník/šermíř PPP + úpravy
	+ optimalizace alokace RAM v quest modulu
	+ redesign některých formů (Win 7 Segoe UI)
	+ doplněna nápověda o příběhový PJ modul
	* bugfix: startup na Win9x/Me, ach jo...

Heroes Studio build 0.9.81 (23.08.2010)
	+ velké textboxy lze maximalizovat do záložky
	+ XML hraničář PPZ, theurg a pyrofor PPP/PPE
	+ v módu jen pro čtení se zamyká už i +/-
	* bugfix: editace přes F2 u válečníka/zloděje
	* bugfix: výbava postavy při exportu do TXT
	* bugfix: změna aktivních postav v příběhu

Heroes Studio build 0.9.80 (26.06.2010)
	+ řazení schopností v menu dle úrovně a názvu
	+ v XML schopnosti kouzelníka a alchymisty
	+ proklik z menu postavy do přehledu zkuš.
	+ jména postav v družině musí být jedinečná
	* bugfix: překlepy v Magic.xml a aplikaci
	* bugfix: start programu na Vista/7 64bit EN

Heroes Studio build 0.9.79 (22.02.2010)
	+ PJ může zadat novou postavu vč. atributů
	+ funguje taktéž editace i mazání postav
	+ zvl. schopnosti válečníka a zloděje v XML
	+ přidružené menu se schopnostmi postavy
	+ podpora vnořených skupin v XML knihách
	* bugfix: zobrazování některých položek menu
	* bugfix: zrušení selekce v mapovém panelu

Heroes Studio build 0.9.78 (02.02.2010)
	+ experiment. PJ modul - osnova dobrodružství
	+ tisk položek z XML přes Knihy předmětů/atd.
	+ seznam zvláštních schopností dle rasy v XML
	* bugfix: popisky do mapy v extra toolbaru
	* bugfix: záložka Domov při uzamčení postavy
	* bugfix: reload mapy z disku při uzamčení
	* bugfix: vyřešeno stránkování při tisku mapy

Heroes Studio build 0.9.77 (10.01.2010)
	+ nové 4 symboly do mapy a pokusně 6 objektů
	+ připíchnutí souborů na taskbar ve Win 7
	+ maličké úpravy v mapových souborech *.HMP
	+ nové funkce v Update.exe + RGBA ikona
	+ doplněna nápověda a upravena licence 2010
	* bugfix: výběr pokladů na záložce Domov
	* bugfix: aktualizace s aktivním Vista/7 UAC

Heroes Studio build 0.9.76 (17.11.2009)
	+ podpora vlastních XML - info zatím viz web!
	+ evidence předmětů/pokladů u postavy doma
	+ nová barvička pro ignorované atributy
	+ poupraveno chování dialogů itemů z databáze
	+ cena lekvaru = 4 * magy + základ + suroviny
	+ další doplněné XML předměty od alchymisty

Heroes Studio build 0.9.75 (08.11.2009)
	+ selekci mapy lze vyplnit vybraným symbolem
	+ doplnění XML - svitky a jiné předměty z PPZ
	+ nepočítá se váha předmětů v kouzelné torně
	+ přesun itemů do stran nově i s umístěním

Heroes Studio build 0.9.74 (12.08.2009)
	+ evidence umístění všech předmětů u postav
	+ kompatibilní změny v souborech postav *.HER
	+ lépe roztříděné XML a změny u projektilů
	* bugfix: počet magů u nové kouzlící postavy
	* bugfix: vkládání prázdných projektilů z XML
	* bugfix: výběr kouzel u 1. nahrané postavy
	* bugfix: vypisování poznámky u NPC z Domova

Heroes Studio build 0.9.73 (24.04.2009)
	+ pravidla PPZ 1.6 na edici E -> změny v XML
	+ doplněna nápověda o novinky (stable verze)
	+ ikony pomocí resource add-inu, nyní v RGBA
	* bugfix: bonusy dle povolání u trpaslíka
	* bugfix: indikace stavu únavy při shodné ODL
	* bugfix: start při vypnutých aktualizacích

Heroes Studio build 0.9.72 (22.02.2009)
	+ lze zvolit libovolné zákl. atributy postav
	+ parametry postavy (možnost editace postav!)
	+ postavy mají klikátka + a - už i u únavy
	+ překreslování barviček při změně u postavy
	* bugfix: přestup postavy při vyšší únavě

Heroes Studio build 0.9.71 (07.02.2009)
	+ u XML itemů zaškrtlé neplatit = odstranit
	+ omezování parametrů zbraní v novém dialogu
	+ přednačítání XML před prvním otevřením DB
	* bugfix: vlastní poklady na záložce Domov
	* bugfix: odstraňování předmětů vč. popisků
	* bugfix: vlastní itemy při nedostatku peněz

Heroes Studio build 0.9.70 (01.02.2009)
	+ přesun NPC kontaktů domů a vice versa
	+ ukládání rozšíř. popisků u zbraní/předmětů
	+ ukládání všech položek na záložce Domov
	+ kompatibilní změny ve formátu postav *.HER
	* bugfix: zobrazování progressbaru při loadu
	* bugfix: zarovnání MsgBoxů ve Vista Aero
	* bugfix: několik překlepů v EXE, helpu a XML

Heroes Studio build 0.9.69 (14.11.2008)
	+ postava má domov s NPC/předměty/poklady ;)
	+ přesun itemů od postav domů a zase zpět
	+ kouzla a historie u vlastních předmětů
	* bugfix: vytvoření vlastních zbraní zdarma

Heroes Studio build 0.9.68 (24.08.2008)
	+ vlastní zbraně konečně v předmětovém formu
	+ postavy mají klikátka + a - životy/magy
	+ přepsána kontrola/omezení všech předmětů
	* bugfix: označování rámce mapy na pozadí
	* bugfix: zamykání postavy pod jiným oknem
	* bugfix: overflow magů postavy, nosnosti JZD

Heroes Studio build 0.9.67 (10.08.2008)
	+ šablony vlastních zbraní/zbrojí/předmětů...
	+ testovací načítání vlastn. předmětů do MDI
	+ doplnění symbolů mapy o velká/malá okna
	* bugfix: cyklický pád aplikace po startu
	* bugfix: načítání záložky Kontakty až za JZD
	* bugfix: název souboru u BMP exportu mapy
	* bugfix: nulové řetězce při loadu mapy

Heroes Studio build 0.9.666 (06.06.2008)
	+ lze schovávat a přesouvat záložky u postav
	+ možnost měnit množství přes menu u JZD
	+ další novinky v konfiguraci a INI souboru
	+ změna neseného vybavení na výstroj u JZD
	+ aktualizována dokumentace - stable verze
	* bugfix: utajování XML předmětů v RTOZ

Heroes Studio build 0.9.65 (05.04.2008)
	+ úprava GUI modulu s postavou, větší prostor
	+ novinky v konfigurační centrále + změna INI
	+ přesouvání kouzel u postav mezi sloupci
	+ předělána tabulka zkuš. do Report ListView
	* bugfix: vytvoření nové mapy přes Ctrl+N

Heroes Studio build 0.9.64 (24.03.2008)
	+ možnost přiřazení kouzel k postavě z XML
	+ doplnění/změny v TXT exportu/tisku postavy
	+ odblokování projektilů pro kouzelníky
	* bugfix: prodej v RTOZ při ignoraci truhly
	* bugfix: prodej v RTOZ při neznámé ceně
	* bugfix: přesun v Ruksaku zleva doprava

Heroes Studio build 0.9.63 (29.02.2008)
	+ přes menu Postava lze měnit přesvědčení
	+ lze měnit množství přes item-menu v RTO
	+ shodné vzezření submenu životy/magy/únava
	+ obarvení vyřazené a mrtvé postavy, ÚČ/OČ
	* bugfix: úprava vlastních zbrojí u 2. postav

Heroes Studio build 0.9.62 (23.02.2008)
	+ navíc +2/+1 sloty u NPC/RTOZ/projektilů
	+ nově poznámky u XML předmětů/zbraní/atd.
	+ zjednodušení bestiáře (zranil/zabil/zkuš.)
	+ projektily přes XML DB - Projectiles.xml
	+ rozšíření item-menu o pokročilé funkce
	+ větší změna formátů souborů *.HER a *.HIT
	* bugfix: ztráta přesvědčení (load/level up)
	* bugfix: integrace nových jezdec. zvířat

Heroes Studio build 0.9.61 (12.02.2008)
	+ nová záložka Kouzla u Postavy (neukládá se)
	+ nový záložkový dialog pro vlastní předměty
	+ pozměněné dialogy u XML předmětů a bestií
	+ snížení hlavního indikátoru OČ při únavě
	+ integrováno Nové kouzlo do New File menu
	* bugfix: prodej a mazání zbraní u 2. postav
	* bugfix: součet naložení u jezdec. zvířat

Heroes Studio build 0.9.60 (01.01.2008)
	+ nová 32bit icon library pro Windows Vista
	+ bohatší dokumentace a uživatelská nápověda
	+ ověřování existence INI souboru po startu
	+ betatest a úprava GUI, konečně stable verze
	* bugfix: posun výběru mapy doprava a dolů
	* bugfix: součet zlaťáků na první záložce

Heroes Studio build 0.9.59 (22.12.2007)
	+ main form si pamatuje své rozměry a pozici
	+ kompletace lesních kouzel druida z PPE
	+ přepracované sekce a změny v Heroes.ini
	+ bugfix: dropdown mapovacího toolboxu
	* bugfix: tracking 4. a 5. střelecké zbraně
	* bugfix: deasociace HMP a HQT ve Win Vista

Heroes Studio build 0.9.58 (09.12.2007)
	+ klávesa SHIFT+levá myš pro inverzi znaků
	+ první polovina lesních kouzel druida z PPE
	+ přímé zobrazení popisu Kontaktů přes MsgBox
	+ zvýšena rychlost vykreslování symbolů
	* bugfix: symbol toolbox pro speciální znaky
	* bugfix: nulové řetězce při loadu Kontaktů

Heroes Studio build 0.9.57 (25.11.2007)
	+ doplnění symbolů mapy o šipky a spec. znaky
	+ v Pomůckách navíc hod na klasický útok 1k6+
	+ omezení Oblíbených na exist. typy souborů
	* bugfix: 13. slot Truhly u nových postav
	* bugfix: počítání symbolů ve statistice mapy

Heroes Studio build 0.9.56 (11.11.2007)
	+ transformace QuickLoadu na Oblíbené soubory
	+ do Oblíbených souborů lze přidat i mapy
	+ možnost reloadnout původní mapu z HDD
	+ nová XML DB - lesní kouzla druida z PPP
	+ přepsána konfig. centrála, rychlejší odezva
	* bugfix: dialog Save As a dlouhý název mapy

Heroes Studio build 0.9.55 (19.09.2007)
	+ nová záložka Kontakty v modulu Postava
	+ do Textů přidána Rodina, Vzhled a Současnost
	+ dokončena XML DB kouzla chodce z PPE
	+ sloučení menu pro výmaz celé mapy a výběru
	+ nápověda: tvorba, instalace, texty, hotkeys
	+ kompatibilní změny v souborech *.HER
	* bugfix: velikost posuvníků v basic XP skinu
	* bugfix: správné rozpoznání DPI desktopu

Heroes Studio build 0.9.54 (09.09.2007)
	+ zrušen Editor, transformace do Nové postavy
	+ posunutí/překlopení/zrcadlení výběru mapy
	+ automatický pokles atributů při únavě
	+ podpora útoků 1x/2 kola př. pro těžkou kuši
	+ vyčištění kódu a duplicit funkcí (-105 kB)

Heroes Studio build 0.9.53 (07.07.2007)
	+ posunutí/překlopení/zrcadlení celé mapy
	+ toolbox dialog pro výběr písmen a číslic
	+ XML databáze chodcovských kouzel z PPP
	* bugfix: berlička pro startup na EN WinXP

Heroes Studio build 0.9.52 (14.06.2007)
	+ funkční statistika mapy (klávesa F3)
	+ NOVÉ symboly + optimalizace příčných čar
	+ filtrace XML v reálném čase + vyhledávání
	+ dokončeny potvory v Creatures.xml, uf ;)
	+ kompatibilní změny v souborech *.HMP
	+ minoritní změny v TXT exportu/tisku postavy
	* bugfix: reset zbraně (stejně jen dočasně)

Heroes Studio build 0.9.51 (13.04.2007)
	+ rozšíření modulu Postava, nové ukazatele
	+ 2 sloty navíc v RTO + zbraň na dálku + JZD
	+ tracking zbraní u zabitých/zraněných potvor
	+ vyřazování postavy pokud 4x únava >= ODL
	+ kompatibilní změny v souborech *.HER
	* bugfix: implicitní jméno mapy při ukládání
	* bugfix: export předmětu z JZD a lektvary

Heroes Studio build 0.9.50 (04.04.2007)
	+ načítání Zářezů z XML DB, doplněny potvory
	+ možnost přidávat/ubírat/měnit únavu
	+ životy/magy/únava se spánkem ovlivňují
	+ v XML DB se zobrazí i položky bez zařazení
	+ změny v JZD se projeví ihned bez restartu
	+ české řazení v XML, písmeno CH samostatně

Heroes Studio build 0.9.49 (23.02.2007)
	+ dialog Vlastnosti souboru i pro mapy
	+ zástupné znaky [A],[B] v souboji postav
	+ zrušen rozsah v měšci, nyní max. 1000 zl
	+ změny v Update.exe a podpora delších XML
	* bugfix: QuickLoad a alternativní filepath
	* bugfix: útoky 5x/2 kola a 7x/2 kola

Heroes Studio build 0.9.48 (12.01.2007)
	+ lze rušit výběr na mapě i pravým myšítkem
	+ nové renderované window O aplikaci ;)
	+ nevyhnutelný upgrade formátu souborů *.HIT
	* bugfix: další fatal error v soubojích
	* bugfix: přidávání postavy do QuickLoadu
	* bugfix: import atributů zbraní/předmětů

Heroes Studio build 0.9.47 (05.01.2007)
	+ docela pretty tisk mapy i s poznámkami
	+ zase další příšerky do databáze z PPP
	* bugfix: havárie při výběru subpovolání
	* bugfix: generování OČ u zbraní na blízko

Heroes Studio build 0.9.46 (01.01.2007)
	+ konečně lze přiřazovat vlastní JZD zvířata
	+ přepsáno chování předmětů v modulu Postavy
	+ přepsáno generování OČ a ÚČ dle pravidel
	+ nevyhnutelný upgrade formátu souborů *.HER
	+ aktualizována nápověda a informace v About
	* bugfix: redraw mapy při změně nastavení
	* bugfix: v RTOZ zobrazování menu při ID>99
	* bugfix: přičítání peněz u zbraní/zbrojí

Heroes Studio build 0.9.45 (10.10.2006)
	+ nastavení kompletně přepsáno do Type Class
	+ v konfig. centrále také nastavení pro mapy
	+ podpora barevných témat mapovacího modulu
	+ klávesa SHIFT+pravá myš pro výběr čtverce
	+ nové tagy v Creatures.xml a několik z PPP
	+ po dlouhém čase aktualizovaná nápověda
	* bugfix: loading map z OS při jedné instanci
	* bugfix: přepočet ceny x kusů v RTO výběru

Heroes Studio build 0.9.44 (30.09.2006)
	+ výběrový rámec na mapě (pravé myšidlo)
	+ podpora kláves ESC a DEL na mapě/výběru
	+ urychleno načítání mapy až na dvojnásobek
	* bugfix: defaultní znak při ukládání mapy

Heroes Studio build 0.9.43 (26.08.2006)
	+ kompletní základní mapovací nástroje
	+ doplněny potvory PPE-P do Creatures.xml
	+ automatický trim mezer v názvech a DB
	* bugfix: variace přípon v drag&drop

Heroes Studio build 0.9.42 (12.06.2006)
	+ nový mapping form (o 320kB méně kódu)
	+ DoEvents pro další systémové prostředky
	+ doplněny potvory PPZ do Creatures.xml
	+ logické změny v menu a nástrojovém panelu
	* bugfix: opět nějaké chyby zobrazení menu
	* bugfix: indikace štítu v exportu TXT/tisk

Heroes Studio build 0.9.41 (07.04.2006)
	+ finální export postavy do TXT formátu
	+ dokončeny kouzla kouzelníka (Magic.xml)
	* bugfix: snad opraveno disablování menu

Heroes Studio build 0.9.40 (30.03.2006)
	+ zkušební export postavy do TXT formátu
	+ implementován tisk postavy v TXT formátu
	+ možnost provozovat Heroes v jedné instanci
	+ omezena všechna textová okna max. délkou
	* bugfix: lock štítu u povolání bez štítu

Heroes Studio build 0.9.39 (01.03.2006)
	+ v souboji lze nastavit +1 k rod. zbraním
	+ nová DB Ranger.xml, doplněna DB Magic.xml
	+ ve Win2000/XP má SplashScreen fadeout
	+ změna chování v přepínání mapping toolbaru
	+ při locknutí se disabluje příslušné menu

Heroes Studio build 0.9.38 (03.02.2006)
	+ hromada nových nastavení pro souboj PvsP
	+ zaveden bestiář v XML (Creatures.xml)
	+ odebrána nativní podpora rozlišení 800x600
	+ BETA MODE - nedodělávky jen pro betatestery
	* bugfix: souboj PvsP a jeho nastavení
	* bugfix: reset truhly a nastavení v Editoru

Heroes Studio build 0.9.37 (13.01.2006)
	+ u soubojů jen načítání z otevřených oken
	+ v konfig. centrále nové nastavení soubojů
	+ kompletně předělány sekce v Heroes.ini
	+ malé změny formátu *.HIT, checksum CRC32
	* bugfix: detekce v registrech (Win32API)

Heroes Studio build 0.9.36 (01.01.2006)
	+ lze přidat jezdecké zvíře přes konfiguraci
	+ předělán form předmětů (kód menší o 45 kB)
	+ nové XML DB: Items, Treasure, Potions
	+ přepsáno chování horiz. menu a toolbaru
	+ předělán Update.exe na volitelný update

Heroes Studio build 0.9.35 (26.12.2005)
	+ zavedena možnost locknout form s postavou
	+ malé změny formátu *.HER, checksum CRC32
	+ předělán formulář Tipů (využívá Tips.xml)
	+ přepsána vnitřní identifikace typů souborů
	+ přepsáno chování CommonDialogů, nové filtry
	* bugfix: asociace souborů (nové Heroes.icl)

Heroes Studio build 0.9.34 (09.12.2005)
	+ rozšířeno nastavení automat. aktualizací
	+ opsána část kouzelnických kouzel z PPE-P
	+ parametr -s pro silence mode (Update.exe)
	+ brutálně doplněna a upravena nápověda
	* bugfix: opraveno mnoho chyb v Update.exe

Heroes Studio build 0.9.33 (27.11.2005)
	+ podpora automatické aktualizace (finalní)
	+ dopilován souboj PvsP a ukládání logů
	+ přepsáno jádro celé konfigurační centrály
	+ možnost zvolit zarovnání menu Nápověda

Heroes Studio build 0.9.32 (15.10.2005)
	+ experimentální online inkrmnt. aktualizace
	+ upraven MagicBook, kouzla z více oborů
	* bugfix: opraven drag&drop na hlavní form

Heroes Studio build 0.9.31 (13.10.2005)
	+ experimentální simulace souboje (PvsP)
	+ program umí šahat do registrů, asociace
	+ zrušeny defaultní cesty v konfig. centrále
	+ doplněn zbytek kouzel PPP do Magic.xml
	+ položky v exportu přístupny dle souboru
	+ distrubuce pomocí Inno Setup (SelfEXE)

Heroes Studio build 0.9.30 (01.06.2005)
	+ změna koncepce, názvu, hlavního menu a ikon
	+ předělány dialogy New, About a Splash
	+ experimentální verze mapping child formuláře
	+ nový toolbar s objekty pro kreslení map
	+ samostatný public modul pro diskové operace
	+ v XML databázi kouzel nyní i část kouzel PPP
	+ submenu Export rozšířeno o RTF, XML a BMP

Heroes Gold v0.9.29 (22.04.2005)
	+ vytvoření XML databáze kouzel (MagicBook)
	+ další úpravy předmětů DrD 1.5 -> 1.6edD
	+ všechny XML databáze se rovnají QuickSortem
	+ zcela předělán dialog O aplikaci...
	* bugfix: znovu upraven level up na 6. úroveň
	* bugfix: opraven pád aplikace v Editoru

Heroes Gold v0.9.28 (09.04.2005)
	+ přechod na DrD 1.6edD (přepis úplně všeho)
	+ objevují se čoklíci a kouzelníkovi přátelé
	+ u vlastní zbroje možnost prokletých démonů
	+ změna designu celého programu + manifest
	+ vyčištění zdrojového kódu na mnoha místech
	+ integrace do systému, zápis do registrů
	+ navigace v TreeViews pomocí EnsureVisible
	* bugfix: nefungoval výběr subpovolání (lol?)
	* bugfix: opraven pád aplikace v DB Opasku

Heroes Gold v0.9.27 (06.12.2004)
	+ lze vytvořit vlastní jezdecké zvěrstvo
	+ podpora XML a ve WinXP API Framework 1.1
	* bugfix: opraveny bonusy k postřehu Hobita

Heroes Gold v0.9.26/demo (01.01.2004)
	+ předělán dobrodruhův balíček do ListView
	+ funkční nahrávání vlastního dobr. balíčku
	+ program má nový a velmi přehledný toolbar
	+ bohatě doplněna a upravena nápověda
	* bugfix: opraveno otevírání z CMD řádky
	* bugfix: ignorace chyb v konfig. centrále

Heroes Gold v0.9.25 (22.11.2003):
	+ radikálně změněn systém level upu
	+ lze postupovat až na vrchol - 36. level
	+ možnost zadat počet životů při level upu
	+ výběr předmětů do dobrodruhova balíčku
	+ nová značka a logo UsiReV Software

Heroes Gold v0.9.24 (03.10.2003):
	+ konečně lze alespoň postoupit do 5. úroveň
	+ lze přidávat/ubírat/měnit zkušenosti
	+ přidány sekce a poupravena nápověda
	* bugfix: opraven měšec při prodeji v RTOZ

Heroes Gold v0.9.23 (01.06.2003):
	+ import/export vlastních zbraní a RTO
	+ otvírat postavy lze již pomocí Drag&Drop
	+ v Centrále lze nastavit cesty k souborům
	+ předělán algoritmus načítání popisků (VBS)
	+ v menu Životy nově volba Usmrtit postavu
	+ vrátili jsme se k původnímu toolbaru

Heroes Gold v0.9.22 (04.05.2003):
	+ úprava Quick Loadu nyní v konfig. centrále
	+ prostředí podporuje Drag&Drop souboru
	+ vloženo prvních 15 popisů potvor (23 kB)
	+ vnitřně nezapakovaný exáč má přesně 1 MB
	* bugfix: opraveno načítání Zářezů

Heroes Gold v0.9.21 (29.04.2003):
	+ zcela funkční bestiář (PPZ, PPP i PPE)
	+ přeměna Nastavení do Konfigurační centrály
	+ designová úprava všech výběrových stromů

Heroes Gold v0.9.20/demo (20.04.2003):
	+ podstatně vylepšen dialog Nový soubor
	+ před zavřením zobrazen dotaz na uložení
	+ soubory lze otevírat přetažením na ikonu
	+ změna loga, sjednocení všech ikonek
	* bugfix: funguje generování slečen

Heroes Gold v0.9.19 (11.04.2003):
	+ program nyní nese název Heroes Gold
	+ výrazně pozměněno jádro programu
	+ modifikace atributů pro ženské pohlaví
	+ nová koncepce vytváření nových souborů
	+ přibyl popis předmětů v Ruksaku
	* bugfix: opraveno počítání váhy mincí

Heroes 2003 v0.9.18 (01.04.2003):
	+ v seznamu se nascrolluje původní předmět
	+ změněn styl vysouvání a pozice popupmenu
	+ je tu první výkvět rádoby-nápovědy v CHM

Heroes 2003 v0.9.17 (29.03.2003):
	+ vlastní předměty, poklady a lektvary
	+ možnost přesouvání mezi koněm a Ruksakem
	* bugfix: dopilován ekonomický systém
	* bugfix: odstraněna chyba v Quick Loadu

Heroes 2003 v0.9.16 (23.03.2003):
	+ možnost přidávat peníze rovnou do truhly
	+ přidáno 9 nových předmětů do Ruksaku
	+ ve statusbaru se objevuje probíh. akce
	* bugfix: opraveno mazání předmětů u koně
	* bugfix: správný přepočet naložení v ENG

Heroes 2003 v0.9.15 (13.03.2003):
	+ ekonomický systém funguje už i v RTOZ
	+ předělaná Jezdecká zvířata (nosnost)
	+ v nastavení funguje dobrodruhův balíček
	+ v seznamu předmětů jsou už i zbraně
	+ designový návrh dovedností (disabled)
	+ u mrtvé postavy se mění menu Životy

Heroes 2003 v0.9.14 (10.03.2003):
	+ záložka Zvířata (koňamuly a oslokozy)
	+ Vymazat rozděleno na Prodat a Odstranit
	+ malé pozměnění formátu souborů *.HER
	* bugfix: opraveny 2 bugy v převodu peněz

Heroes 2003 v0.9.13 (04.03.2003):
	+ profesionální ekonomický systém (snad OK)
	+ možnost odčítání peněz za nákup zbraní
	+ přidání spousty nastavení ohledně peněz
	+ změněn design programu (písmo Tahoma)
	+ jiné chápání databází (zatím nefunkční)

Heroes 2003 v0.9.12 (20.02.2003):
	+ možnost přidávat/ubírat/měnit peníze
	+ převod zlaťáků mezi měšcem a truhlou
	+ panel nástrojů nyní ve stylu WinXP
	+ vnitřní podpora databází (nelze testovat)
	* bugfix: nyní Editor rozpozná Trpajzlíka

Heroes 2003 v0.9.11 (09.02.2003):
	+ konečně funkční Truhla a Opasek
	+ předělán systém identit autorů (vyřazeno)
	+ program si hlídá při startu WindowState
	* bugfix: opraveno velké množství bugů

Heroes 2003 v0.9.10/demo (01.02.2003):
	+ možnost nadefinovat vlastní zbroj
	+ program obsahuje Credits a Identity
	+ pozměněn formulář O aplikaci...
	* bugfix: opraveny malé bugy ve Výzbroji

Heroes 2003 v0.9.9 (21.01.2003):
	+ dodělání Ruksaku a přidány další předměty
	+ možnost přidávat/odebírat magy, kouzlení
	+ spojen Hod různými kostkami a na rozsah
	+ úplně předělán dialog Vlastnosti deníku
	+ upraven dialog Vlastní zbraně a Zářezy
	* bugfix: odchycení chyby při výběru Píky

Heroes 2003 v0.9.8 (22.12.2002):
	+ možnost nadefinovat vlastní zbraň
	+ úprava probíhá zcela odděleně od definice
	+ přibyly hody různými kostkami a na rozsah
	+ přes program lze stáhnout poslední verzi

Heroes 2003 v0.9.7 (12.12.2002):
	+ program se chová podle nastavení (1. zál)
	+ konečně funguje výpis aktuálních ÚČ, OČ
	+ nyní funguje i přidávání/odebírání magů
	+ nový formulář Tipů & jiných hovadin
	+ upraven formulář Quick Loadu

Heroes 2003 v0.9.6 (1.12.2002):
	+ už funguje přidávání/odebírání životů
	+ z velké části funguje Ruksak (snad teda)
	+ a je tu Quick Load a jeho uspořádávání
	+ program kdykoliv přepočítává ÚČ a OČ
	+ začalo se pracovat na instalátoru

Heroes 2003 v0.9.5 (25.11.2002):
	+ program počítá ÚČ a OČ (všechny aspekty)
	+ načítání kompletně všeho (RTO a Texty)
	+ funkční změna nastavení (zatím bez efektů)
	+ zrušeny tlačítka X a roztáhnuty textboxy
	+ prohozeny framy nad tabulkou zkušeností

Heroes 2003 v0.9.4 (13.11.2002):
	+ udělaná tabulka zkušeností - DrD 1.5/1.6
	+ udělán dialog nastavení (zatím nefunkční)
	+ načítání uživatele a nastavení z Heroes.ini
	* bugfix: chyba desetinných pohyblivostí

Heroes 2003 v0.9.3 (08.11.2002):
	+ už funguje hod na past (menu Pomůcky)
	+ ze souborů se již načítá i výzbroj
	+ umožněno vymazávat výzbroj z tlačítek X
	+ změna grafické vizáže všech tlačítek
	* bugfix: opraveno a omezeno několik bugů

Heroes 2003 v0.9.2 (04.11.2002):
	+ změna chování menu a jeho přepisování
	+ doděláno horizontální menu Možnosti

Heroes 2003 v0.9.1 (01.11.2002):
	+ první provozuschopný build Heroes 2003
